#!/bin/sh
# This script creates a series of thumbnails from an Ogg/Theora file
# usage:
# ./mkThumbs file.ogm <numberOfThumbs> <optional infos for oggThumb (e.g. resizing)>
#
# typical:
# ./mkThumbs myfile.ogm 10 -s0x200
# This call creates a thumbnail series of 10 pictures with the a height of 200 pixels
#
length=`oggLength $1`
timestring="0"
div=$(($2*1000))
for((i=1; i<$2; i++)) do
  value=$(echo "scale=3; $i*$length/$div" | bc -q 2>/dev/null)
  timestring="$timestring,$value"
done
oggThumb $3 -t$timestring $1
